# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	Xorg input driver for mice
Name:		x11-driver-input-mouse
Version:	1.9.0
Release:	5
Group:		System/X11
License:	MIT
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mouse-%{version}.tar.bz2
Patch0:		xf86-input-mouse-1.8.1-link-against-xi.patch
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)

%description
This package provide Xorg input driver for mice.

%files
%{_libdir}/xorg/modules/input/mouse_drv.so
%{_mandir}/man4/mousedrv.*

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for Xorg mouse driver
Requires:	%{name} = %{EVRD}

%description devel
This package provides development files for Xord input driver for mice.

%files devel
%{_includedir}/xorg/xf86-mouse-properties.h
%{_libdir}/pkgconfig/xorg-mouse.pc

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-input-mouse-%{version}
%patch0 -p1

%build
autoreconf -fiv
%configure2_5x

%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.9.0-5
+ Revision: 360effc
- MassBuild#440: Increase release tag


